Bug 240738 - openoffice base crashes when importing html spreadsheet data with some numeric formats
openoffice base crashes when importing html spreadsheet data with some numeri...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-21 07:16 EDT by Alexander Larsson
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: openoffice.org-2.0.4-5.5.23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-13 10:35:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test spreadsheet data (7.23 KB, application/octet-stream)
2007-05-21 07:17 EDT, Alexander Larsson
no flags Details
mapped stack (4.40 KB, text/plain)
2007-05-21 07:23 EDT, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 69831 None None None Never

  None (edit)
Description Alexander Larsson 2007-05-21 07:16:47 EDT
Description of problem:
base crashes when importing spreadsheet data

Version-Release number of selected component (if applicable):
2.0.4-5.5.22

How reproducible:
very

Steps to Reproduce:
1. Load attached file in oocalc
2. select A1-C3
3. edit->copy
4. file->new->database
5. next
6. finish
7. pick name
8. click on tables on left
9. right click on tables area on right, select paste
10. click create primary key
11. next
12. >>, then next
13. select field type for Date as DATE, Amount as Decimal
14 Click create
  
Actual results:
Crash

Expected results:
Import data

Additional info:
oocalc output:
[alex@localhost ~]$ oocalc test.ods 
terminate called after throwing an instance of
'com::sun::star::util::NotNumericException'

---start copy and paste here---
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/fglrx_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-51.fc6-i386
(V)    kernel is: Linux 2.6.20-1.2943.fc6 #1 SMP Wed Apr 4 16:06:04 EDT 2007
i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.5.22-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora Core release 6 (Zod)
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x024b7095: 0x001c0374: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x23095
0x024b7dfb: 0x001c0374: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x23dfb
0x00b70420: 0x00000000:  + 0x420 (__kernel_sigreturn + 0x0)
0x018bd591: 0x00138d9c: /lib/libc.so.6 + 0x2a591 (abort + 0x101)
0x05b6a3a0: 0x000e397c: /usr/lib/libstdc++.so.6 + 0xb73a0
(__gnu_cxx::__verbose_terminate_handler() + 0x150)
0x05b67e85: 0x000e397c: /usr/lib/libstdc++.so.6 + 0xb4e85
0x05b67ec2: 0x000e397c: /usr/lib/libstdc++.so.6 + 0xb4ec2
0x05b67ffa: 0x000e397c: /usr/lib/libstdc++.so.6 + 0xb4ffa
0x022e8bd5: 0x003e34b0: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x2b2bd5
0xa969d72c: 0x003b937c: /usr/lib/openoffice.org2.0/program/libdbu680li.so + 0x15c72c
0xa9693572: 0x003b937c: /usr/lib/openoffice.org2.0/program/libdbu680li.so + 0x152572
0x02372f87: 0x003e34b0: /usr/lib/openoffice.org2.0/program/libsvt680li.so +
0x33cf87 (HTMLParser::Continue(int) + 0x67)
0x0237203f: 0x003e34b0: /usr/lib/openoffice.org2.0/program/libsvt680li.so +
0x33c03f (HTMLParser::CallParser() + 0x5f)
0xa9691d43: 0x003b937c: /usr/lib/openoffice.org2.0/program/libdbu680li.so + 0x150d43
0xa9688075: 0x003b937c: /usr/lib/openoffice.org2.0/program/libdbu680li.so + 0x147075
0xa96a7af6: 0x003b937c: /usr/lib/openoffice.org2.0/program/libdbu680li.so + 0x166af6
0xa96ace70: 0x003b937c: /usr/lib/openoffice.org2.0/program/libdbu680li.so + 0x16be70
0xa96ad5bd: 0x003b937c: /usr/lib/openoffice.org2.0/program/libdbu680li.so + 0x16c5bd
0xa982df3e: 0x003b937c: /usr/lib/openoffice.org2.0/program/libdbu680li.so + 0x2ecf3e
0xa976aa86: 0x003b937c: /usr/lib/openoffice.org2.0/program/libdbu680li.so + 0x229a86
0xa985b2a9: 0x003b937c: /usr/lib/openoffice.org2.0/program/libdbu680li.so + 0x31a2a9
0x0232d8e9: 0x003e34b0: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x2f78e9
0x02354cfa: 0x003e34b0: /usr/lib/openoffice.org2.0/program/libsvt680li.so +
0x31ecfa (SvTreeListBox::Command(CommandEvent const&) + 0x2a)
0xa985980c: 0x003b937c: /usr/lib/openoffice.org2.0/program/libdbu680li.so + 0x31880c
0x01f4e15f: 0x00355ddc: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x27515f
0x01f5089a: 0x00355ddc: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x27789a
0x01f50bdf: 0x00355ddc: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x277bdf
0x0473b569: 0x000433ec:
/usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x38569
0x03790f22: 0x00380d0c: /gnome/head/INSTALL/lib/libgtk-x11-2.0.so.0 + 0x14df22
0x03a5ad3b: 0x00039544: /gnome/head/INSTALL/lib/libgobject-2.0.so.0 + 0x8d3b
(g_closure_invoke + 0x12b)
0x03a6cb8d: 0x00039544: /gnome/head/INSTALL/lib/libgobject-2.0.so.0 + 0x1ab8d
0x03a6dea6: 0x00039544: /gnome/head/INSTALL/lib/libgobject-2.0.so.0 + 0x1bea6
(g_signal_emit_valist + 0x6d6)
0x03a6e299: 0x00039544: /gnome/head/INSTALL/lib/libgobject-2.0.so.0 + 0x1c299
(g_signal_emit + 0x29)
0x038c2558: 0x00380d0c: /gnome/head/INSTALL/lib/libgtk-x11-2.0.so.0 + 0x27f558
0x03788f1e: 0x00380d0c: /gnome/head/INSTALL/lib/libgtk-x11-2.0.so.0 + 0x145f1e
(gtk_propagate_event + 0x1ae)
0x0378a458: 0x00380d0c: /gnome/head/INSTALL/lib/libgtk-x11-2.0.so.0 + 0x147458
(gtk_main_do_event + 0x528)
0x03a0d7ea: 0x00088218: /gnome/head/INSTALL/lib/libgdk-x11-2.0.so.0 + 0x457ea
0x03ab887c: 0x000b50c4: /gnome/head/INSTALL/lib/libglib-2.0.so.0 + 0x2c87c
(g_main_context_dispatch + 0x17c)
0x03abbc2f: 0x000b50c4: /gnome/head/INSTALL/lib/libglib-2.0.so.0 + 0x2fc2f
0x03abc195: 0x000b50c4: /gnome/head/INSTALL/lib/libglib-2.0.so.0 + 0x30195
(g_main_context_iteration + 0x65)
0x04714c21: 0x000433ec:
/usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x11c21
0x048b47c7: 0x0006d6b0:
/usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x517c7
(X11SalInstance::Yield(bool, bool) + 0x37)
0x01d64778: 0x00355ddc: /usr/lib/openoffice.org2.0/program/libvcl680li.so +
0x8b778 (Application::Yield(bool) + 0x68)
0x01d6484c: 0x00355ddc: /usr/lib/openoffice.org2.0/program/libvcl680li.so +
0x8b84c (Application::Execute() + 0x3c)
0x00135289: 0x000566ec: /usr/lib/openoffice.org2.0/program/libsoffice.so +
0x25289 (desktop::Desktop::Main() + 0x1779)
0x01d6a31c: 0x00355ddc: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9131c
0x01d6a425: 0x00355ddc: /usr/lib/openoffice.org2.0/program/libvcl680li.so +
0x91425 (SVMain() + 0x35)
0x00126979: 0x000566ec: /usr/lib/openoffice.org2.0/program/libsoffice.so +
0x16979 (sal_main + 0x59)
0x00126a04: 0x000566ec: /usr/lib/openoffice.org2.0/program/libsoffice.so +
0x16a04 (main + 0x44)
0x018a8f2c: 0x00138d9c: /lib/libc.so.6 + 0x15f2c (__libc_start_main + 0xdc)
0x080484a1: 0x00000618: /usr/lib/openoffice.org2.0/program/scalc.bin + 0x4a1
...end stackreport details ...
...start sample ldd details ...
        linux-gate.so.1 =>  (0x0089d000)
        libuno_sal.so.3 => /usr/lib/openoffice.org2.0/program/libuno_sal.so.3
(0x00110000)
        libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x00cb5000)
        libstore.so.3 => /usr/lib/openoffice.org2.0/program/libstore.so.3
(0x0037f000)
        libdl.so.2 => /lib/libdl.so.2 (0x00ee4000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00491000)
        libstlport_gcc.so =>
/usr/lib/openoffice.org2.0/program/libstlport_gcc.so (0x009ec000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00398000)
        libm.so.6 => /lib/libm.so.6 (0x00638000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00828000)
        libc.so.6 => /lib/libc.so.6 (0x004a8000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0x00d70000)
        /lib/ld-linux.so.2 (0x80000000)
...end sample ldd details ...
---end copy and paste here---
Comment 1 Alexander Larsson 2007-05-21 07:17:32 EDT
Created attachment 155087 [details]
test spreadsheet data
Comment 2 Caolan McNamara 2007-05-21 07:23:09 EDT
Created attachment 155088 [details]
mapped stack
Comment 3 Caolan McNamara 2007-05-21 07:48:57 EDT
seems fixed in 2.2.0, i.e. no crash. Probably can/should backport the fix.
Comment 4 Caolan McNamara 2007-05-21 11:57:34 EDT
backported patch to FC_6, will be in next release if we respin for FC-6 again.
Doesn't affect 2.2.
Comment 5 Caolan McNamara 2007-06-13 10:35:47 EDT
Should be in openoffice.org-2.0.4-5.5.23

Note You need to log in before you can comment on or make changes to this bug.